%define upstream_name    MooseX-Clone
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    The L<Moose::Meta::Attribute>
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Visitor)
BuildRequires: perl(Hash::Util::FieldHash::Compat)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::use::ok)
BuildRequires: perl(namespace::clean)
Provides: perl(MooseX::Clone::Meta::Attribute::Trait::StorableClone)
BuildArch: noarch


%{?perl_default_filter}

%description
Out of the box the Moose manpage only provides very barebones cloning
support in order to maximize flexibility.

This role provides a 'clone' method that makes use of the low level cloning
support already in the Moose manpage and adds selective deep cloning based
on introspection on top of that. Attributes with the 'Clone' trait will
handle cloning of data within the object, typically delegating to the
attribute value's own 'clone' method.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%{make} test

%install
%makeinstall_std

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.50.0-9pclos2017
- rebuild against updates

